Index: branch/nan_cao/Emb_App.tws
===================================================================
--- branch/nan_cao/Emb_App.tws	(revision 239)
+++ branch/nan_cao/Emb_App.tws	(revision 240)
@@ -7,15 +7,13 @@
 [GENERAL_DATA]
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
-"E:\nan_cao\bsp\clavier.c" 
-"E:\nan_cao\bsp\radiocommande.c" 
 "E:\nan_cao\Emb_App\conf_noyau.cfg" 
 "E:\nan_cao\Emb_App\programme_principal_etud.c" 
+"E:\nan_cao\programme_principal_etud (1).c" 
 [WORKSPACE_FILE_STATES]
-"E:\nan_cao\Emb_App\conf_noyau.cfg" 0 0 1596 602 0 2 
-"E:\nan_cao\Emb_App\programme_principal_etud.c" -8 -31 1596 602 1 0 
-"E:\nan_cao\bsp\clavier.c" 0 0 1596 602 0 3 
-"E:\nan_cao\bsp\radiocommande.c" 26 26 1394 377 0 1 
+"E:\nan_cao\Emb_App\conf_noyau.cfg" 26 26 1345 381 0 1 
+"E:\nan_cao\Emb_App\programme_principal_etud.c" -8 -31 1543 602 1 0 
+"E:\nan_cao\programme_principal_etud (1).c" 78 78 1345 381 0 2 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/nan_cao/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/nan_cao/Emb_App/SessionM32C_E8a_system.hsf	(revision 239)
+++ branch/nan_cao/Emb_App/SessionM32C_E8a_system.hsf	(revision 240)
@@ -332,7 +332,7 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 0 "0.13" 302 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 0 "0.10" 302 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
 "{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.10" 302 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
@@ -341,7 +341,7 @@
 "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.09" 302 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
 "{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 5 "0.08" 302 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
-"{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 308 0 0 350 200 18 0 "" "0.0" 
+"{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 361 0 0 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000003_BOOKMARKS}" "TOOLBAR 0" 59419 1 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
@@ -365,10 +365,9 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"E:\nan_cao\bsp\clavier.c" 
 "E:\nan_cao\Emb_App\programme_principal_etud.c" 
-"E:\nan_cao\bsp\radiocommande.c" 
 "E:\nan_cao\Emb_App\conf_noyau.cfg" 
+"E:\nan_cao\programme_principal_etud (1).c" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -415,5 +414,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 257496308 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 10 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/nan_cao/Emb_App/programme_principal_etud.c
===================================================================
--- branch/nan_cao/Emb_App/programme_principal_etud.c	(revision 239)
+++ branch/nan_cao/Emb_App/programme_principal_etud.c	(revision 240)
@@ -120,10 +120,15 @@
 //'I'/73/Ox49 : Définition du nom du véhicule. Doit débuter par le caractère '#' et entraine le chargement de la configuration de piste
 //				correspondant au nom du véhicule si le nom se termine par '*'
 
-//void mesureD(){};
-short alpha;
+
+short alpha; 
+short distance;
 short vitesse, longueur;
+int g=1; //gain angle de roue
+int g2=1; //gain vitesse de tourelle
 
+
+
 void vit(){	
 	CanFrame comm;
 		while(1)
@@ -130,32 +135,32 @@
 		{
 			comm.data.id='V'; 
 			comm.data.rtr=0;
-	 		comm.data.val=15; // Pour un gain de 1, on regule pour avoir 45degrés
+	 		comm.data.val=15; 
 			snd_dtq(CanTx,comm.msg);
 			dly_tsk(100);
 		}	
 		
 }
-void mesureR(){	
+void angel_roue(){	
 	
 		CanFrame req,reponse,comm;
 		UINT flag;	
 		while(1)
 		{	
-			req.data.id='U'; //lecture angle de la tourelle
-			req.data.rtr=1; //requête de lecture
+			req.data.id='U'; //lecture distance de la tourelle
+			req.data.rtr=1; 
 			snd_dtq(CanRx, req.msg);
-			//Attente de la réponse
+			//Attente de la reponse
 			//rcv_dtq(CanRx, &reponse.msg);
-			periph[ADDR('R')].ev=0x01;
+			periph[ADDR('U')].ev=0x01;
 			snd_dtq(CanTx,req.msg);
 			wai_flg(ev_periph, 0x01, TWF_ANDW,&flag);
-			alpha=periph[ADDR('R')].val;
+			distance=periph[ADDR('U')].val;
 			
-			//Vitesse de la tourelle
-			comm.data.id='T'; 
+			//angle de roue
+			comm.data.id='D'; 
 			comm.data.rtr=0;
-	 		comm.data.val=450-alpha; // Pour un gain de 1, on regule pour avoir 45degrés
+	 		comm.data.val=-g(450-distance); 
 			snd_dtq(CanTx,comm.msg);
 			dly_tsk(100);
 		}	
@@ -163,7 +168,7 @@
 }
 
 
-void mesureD(){	
+void ang_tourelle(){	
 	
 		CanFrame req,reponse,comm;
 		UINT flag;	
@@ -170,19 +175,19 @@
 		while(1)
 		{	
 			req.data.id='R'; //lecture angle de la tourelle
-			req.data.rtr=1; //requête de lecture
+			req.data.rtr=1; 
 			snd_dtq(CanRx, req.msg);
-			//Attente de la réponse
+			//Attente de la reponse
 			//rcv_dtq(CanRx, &reponse.msg);
-			periph[ADDR('R')].ev=0x01;
+			periph[ADDR('R')].ev=0x02;
 			snd_dtq(CanTx,req.msg);
-			wai_flg(ev_periph, 0x01, TWF_ANDW,&flag);
+			wai_flg(ev_periph, 0x02, TWF_ANDW,&flag);
 			alpha=periph[ADDR('R')].val;
 			
 			//Vitesse de la tourelle
 			comm.data.id='T'; 
 			comm.data.rtr=0;
-	 		comm.data.val=450-alpha; // Pour un gain de 1, on regule pour avoir 45degrés
+	 		comm.data.val=g2(450-alpha);
 			snd_dtq(CanTx,comm.msg);
 			dly_tsk(100);
 		}	
@@ -209,9 +214,9 @@
     clavier_init(1);
 	capture_init();
 			
-	sta_tsk(tache1);
-	sta_tsk(tache2);
-	sta_tsk(tache3);
+	sta_tsk(ID_angle_roue);
+	sta_tsk(ID_ang_tourelle);
+	sta_tsk(ID_vitesse);
 	sta_cyc(ID_acqui);
 	sta_tsk(ID_periph_rx);
 	
Index: branch/nan_cao/Emb_App/conf_noyau.cfg
===================================================================
--- branch/nan_cao/Emb_App/conf_noyau.cfg	(revision 239)
+++ branch/nan_cao/Emb_App/conf_noyau.cfg	(revision 240)
@@ -44,8 +44,8 @@
 	exinf	= 0x0;
 };
 task[]{
-	entry_address	= mesureR();
-	name	= tache1;
+	entry_address	= angle_roue();
+	name	= ID_angle_roue;
 	stack_size	= 512;
 	stack_section	= stack;
 	priority	= 1;
@@ -54,8 +54,8 @@
 };
 
 task[]{
-	entry_address	= mesureD();
-	name	= tache2;
+	entry_address	= ang_tourelle();
+	name	= ID_ang_tourelle;
 	stack_size	= 512;
 	stack_section	= stack;
 	priority	= 6;
@@ -64,7 +64,7 @@
 };
 task[]{
 	entry_address	= vit();
-	name	= tache3;
+	name	= ID_vitesse;
 	stack_size	= 512;
 	stack_section	= stack;
 	priority	= 6;
Index: branch/nan_cao/Emb_App/EmbM32C87App.hwp
===================================================================
--- branch/nan_cao/Emb_App/EmbM32C87App.hwp	(revision 239)
+++ branch/nan_cao/Emb_App/EmbM32C87App.hwp	(revision 240)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"EmbM32C87App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
+"EmbM32C87App" "E:\nan_cao\Emb_App" "E:\nan_cao\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug" 
-"Debug_M32C_FoUSB_UART" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug_M32C_FoUSB_UART" 
-"Debug_M32C_Simulator" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug_M32C_Simulator" 
-"Release" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Release" 
+"Debug" "E:\nan_cao\Emb_App\Debug" 
+"Debug_M32C_FoUSB_UART" "E:\nan_cao\Emb_App\Debug_M32C_FoUSB_UART" 
+"Debug_M32C_Simulator" "E:\nan_cao\Emb_App\Debug_M32C_Simulator" 
+"Release" "E:\nan_cao\Emb_App\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,29 +105,29 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "User" "C source file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.h" "User" "C header file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\carte_io.h" "User" "C header file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\carte_m32.h" "User" "C header file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "User" "C source file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.h" "User" "C header file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "User" "C source file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.h" "User" "C header file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "User" "C source file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.h" "User" "C header file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "User" "C source file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.h" "User" "C header file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "User" "C source file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.h" "User" "C header file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "User" "C source file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.h" "User" "C header file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\sfr32c83.h" "User" "C header file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\sfr32c87.h" "User" "C header file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "User" "C source file" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.h" "User" "C header file" 2 
+"E:\nan_cao\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
+"E:\nan_cao\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
+"E:\nan_cao\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
+"E:\nan_cao\bsp\can.c" "User" "C source file" 2 
+"E:\nan_cao\bsp\can.h" "User" "C header file" 2 
+"E:\nan_cao\bsp\carte_io.h" "User" "C header file" 2 
+"E:\nan_cao\bsp\carte_m32.h" "User" "C header file" 2 
+"E:\nan_cao\bsp\clavier.c" "User" "C source file" 2 
+"E:\nan_cao\bsp\clavier.h" "User" "C header file" 2 
+"E:\nan_cao\bsp\dma0.c" "User" "C source file" 2 
+"E:\nan_cao\bsp\dma0.h" "User" "C header file" 2 
+"E:\nan_cao\bsp\lcd.c" "User" "C source file" 2 
+"E:\nan_cao\bsp\lcd.h" "User" "C header file" 2 
+"E:\nan_cao\bsp\mli.c" "User" "C source file" 2 
+"E:\nan_cao\bsp\mli.h" "User" "C header file" 2 
+"E:\nan_cao\bsp\periph.c" "User" "C source file" 2 
+"E:\nan_cao\bsp\periph.h" "User" "C header file" 2 
+"E:\nan_cao\bsp\radiocommande.c" "User" "C source file" 2 
+"E:\nan_cao\bsp\radiocommande.h" "User" "C header file" 2 
+"E:\nan_cao\bsp\sfr32c83.h" "User" "C header file" 2 
+"E:\nan_cao\bsp\sfr32c87.h" "User" "C header file" 2 
+"E:\nan_cao\bsp\uart0.c" "User" "C source file" 2 
+"E:\nan_cao\bsp\uart0.h" "User" "C header file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C header file" "C header file" 
@@ -138,10 +138,10 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\DefaultSession.hsf" 0 
-"SessionM32C_E8a_system" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\SessionM32C_E8a_system.hsf" 0 
-"SessionM32C_FoUSB_UART" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
-"SessionM32C_Simulator" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "E:\nan_cao\Emb_App\DefaultSession.hsf" 0 
+"SessionM32C_E8a_system" "E:\nan_cao\Emb_App\SessionM32C_E8a_system.hsf" 0 
+"SessionM32C_FoUSB_UART" "E:\nan_cao\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
+"SessionM32C_Simulator" "E:\nan_cao\Emb_App\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_system]
 [GENERAL_DATA_SESSION_SessionM32C_FoUSB_UART]
@@ -148,18 +148,18 @@
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\nan_cao\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "0d1c724595684d10" 2 
+"E:\nan_cao\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
+"E:\nan_cao\bsp\can.c" "0d1c724595684d10" 2 
+"E:\nan_cao\bsp\clavier.c" "0d1c724595684d10" 2 
+"E:\nan_cao\bsp\dma0.c" "0d1c724595684d10" 2 
+"E:\nan_cao\bsp\lcd.c" "0d1c724595684d10" 2 
+"E:\nan_cao\bsp\mli.c" "0d1c724595684d10" 2 
+"E:\nan_cao\bsp\periph.c" "0d1c724595684d10" 2 
+"E:\nan_cao\bsp\radiocommande.c" "0d1c724595684d10" 2 
+"E:\nan_cao\bsp\uart0.c" "0d1c724595684d10" 2 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -187,18 +187,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\nan_cao\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\nan_cao\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\nan_cao\bsp\can.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\mli.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\periph.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Librarian]
@@ -226,18 +226,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_FoUSB_UART]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\nan_cao\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\nan_cao\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\nan_cao\bsp\can.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\mli.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\periph.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -265,18 +265,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\nan_cao\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\nan_cao\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\nan_cao\bsp\can.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\mli.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\periph.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\nan_cao\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Release_Renesas M32C Librarian]
Index: branch/nan_cao/Emb_App/EmbM32C87App.tps
===================================================================
--- branch/nan_cao/Emb_App/EmbM32C87App.tps	(revision 239)
+++ branch/nan_cao/Emb_App/EmbM32C87App.tps	(revision 240)
@@ -18,7 +18,7 @@
 "SessionM32C_E8a_system" 
 [GENERAL_DATA_PROJECT]
 [GENERAL_DATA_CONFIGURATION_Debug]
-"PROJECT_FILES_MODIFIED_DATA_TAG" "FALSE" 
+"PROJECT_FILES_MODIFIED_DATA_TAG" "TRUE" 
 [SESSIONS_Debug]
 "DefaultSession" 
 "SessionM32C_E8a_system" 
Index: branch/nan_cao/Emb_App.hws
===================================================================
--- branch/nan_cao/Emb_App.hws	(revision 239)
+++ branch/nan_cao/Emb_App.hws	(revision 240)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"Emb_App" "E:\tp_info6_2018_nan_cao\tp_info6" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"Emb_App" "E:\nan_cao" "E:\nan_cao\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"EmbM32C87App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\EmbM32C87App.hwp" 4 
+"EmbM32C87App" "E:\nan_cao\Emb_App" "E:\nan_cao\Emb_App\EmbM32C87App.hwp" 4 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]