Index: branch/matteozzi/Emb_App.tws
===================================================================
--- branch/matteozzi/Emb_App.tws	(revision 257)
+++ branch/matteozzi/Emb_App.tws	(revision 258)
@@ -7,15 +7,21 @@
 [GENERAL_DATA]
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
+"E:\tp_info6_2018_matteozzi\tp_info6\bsp\periph.c" 
 "E:\tp_info6_2018_matteozzi\tp_info6\bsp\radiocommande.c" 
+"E:\tp_info6_2018_matteozzi\tp_info6\bsp\uart0.c" 
+"E:\tp_info6_2018_matteozzi\tp_info6\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_2018_matteozzi\tp_info6\Emb_App\crt0mr.a30" 
 "E:\tp_info6_2018_matteozzi\tp_info6\Emb_App\Debug\mr308.inc" 
 "E:\tp_info6_2018_matteozzi\tp_info6\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
 "E:\tp_info6_2018_matteozzi\tp_info6\Emb_App\Debug\mr308.inc" 75 75 1430 346 0 3 
+"E:\tp_info6_2018_matteozzi\tp_info6\Emb_App\conf_noyau.cfg" 100 100 1380 444 0 4 
 "E:\tp_info6_2018_matteozzi\tp_info6\Emb_App\crt0mr.a30" 25 25 1405 405 0 1 
 "E:\tp_info6_2018_matteozzi\tp_info6\Emb_App\programme_principal_etud.c" -8 -30 1596 682 1 0 
+"E:\tp_info6_2018_matteozzi\tp_info6\bsp\periph.c" 125 125 1380 444 0 5 
 "E:\tp_info6_2018_matteozzi\tp_info6\bsp\radiocommande.c" 50 50 1405 405 0 2 
+"E:\tp_info6_2018_matteozzi\tp_info6\bsp\uart0.c" 150 150 1380 444 0 6 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/matteozzi/Emb_App/SessionM32C_E8a_system.ini
===================================================================
--- branch/matteozzi/Emb_App/SessionM32C_E8a_system.ini	(revision 257)
+++ branch/matteozzi/Emb_App/SessionM32C_E8a_system.ini	(revision 258)
@@ -25,4 +25,4 @@
 [Target]
 M32C E8a SYSTEM=Renesas Communications
 [USER_DATA]
-RESET=ff0018
+RESET=ff001c
Index: branch/matteozzi/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/matteozzi/Emb_App/SessionM32C_E8a_system.hsf	(revision 257)
+++ branch/matteozzi/Emb_App/SessionM32C_E8a_system.hsf	(revision 258)
@@ -141,7 +141,7 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "000000000000FF01" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
@@ -148,13 +148,13 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF0014" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000700" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF3063" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000B10" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000828" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "00000000000000FF" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "00000000000000C0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -164,17 +164,17 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_27" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_28" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_29" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_3" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_3" "0000000000000001" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_30" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_31" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_32" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000B14" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000B1C" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000B24" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -205,9 +205,9 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth2" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH" "c,buff,n,rx,flag," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "retour, 2, 0, P, Col, Dec, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "distance, 2, 0, P, Col, Dec, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "distance, 2, 0, P, Col, Dec, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "ang_lu, 2, 0, P, Col, Dec, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001_SCOPE" "Current Scope," 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "2" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
@@ -279,11 +279,11 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 2 "0.08" 222 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 2 "0.07" 222 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
-"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 222 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
+"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.13" 222 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 1 "0.37" 222 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 1 "0.35" 222 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.03" 222 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
 "{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.49" 222 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
@@ -312,9 +312,12 @@
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
 "E:\tp_info6_2018_matteozzi\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_2018_matteozzi\tp_info6\bsp\periph.c" 
 "E:\tp_info6_2018_matteozzi\tp_info6\Emb_App\crt0mr.a30" 
+"E:\tp_info6_2018_matteozzi\tp_info6\bsp\uart0.c" 
+"E:\tp_info6_2018_matteozzi\tp_info6\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_2018_matteozzi\tp_info6\bsp\radiocommande.c" 
 "E:\tp_info6_2018_matteozzi\tp_info6\Emb_App\Debug\mr308.inc" 
-"E:\tp_info6_2018_matteozzi\tp_info6\bsp\radiocommande.c" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -361,5 +364,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 82128104 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 101862544 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/matteozzi/Emb_App/programme_principal_etud.c
===================================================================
--- branch/matteozzi/Emb_App/programme_principal_etud.c	(revision 257)
+++ branch/matteozzi/Emb_App/programme_principal_etud.c	(revision 258)
@@ -120,88 +120,131 @@
 //'I'/73/Ox49 : Définition du nom du véhicule. Doit débuter par le caractère '#' et entraine le chargement de la configuration de piste
 //				correspondant au nom du véhicule si le nom se termine par '*'
 
-unsigned short K=6;
+unsigned short k1=6;
+unsigned short k2=2;
 unsigned short ang_lu=0;
 unsigned short ang_tourelle;
 CanFrame comm;
 CanFrame requete, reponse;
-unsigned short vitesse;
+unsigned short vitesse=0;
 unsigned short distance;
+unsigned short val_cap;
 unsigned short cons_angl=450;
 UINT flag;
 
+///////////////////////////
+//Declaration des taches///
+///////////////////////////
+
+void capteur(){									//asservissement de l'angle de la tourelle
+	while(0){
+		requete.data.id='C';						//demande de la requete C	
+		requete.data.rtr=1;							//demande de lecture car rtr=1
+		snd_dtq(CanTx, requete.msg);				//envoie de la demande dans CanTx
+		val_cap=periph[ADDR('C')].val;				//recupere la valeur du capteur dans cal-cap  
+	}
+	dly_tsk(100);
+}
+
+
 void tourelle(){									//asservissement de l'angle de la tourelle
 	while(1){
 		requete.data.id='R';						//demande de la requete R	
 		requete.data.rtr=1;							//demande de lecture car rtr=1
 		periph[ADDR('R')].ev=0x01;
-		
 		snd_dtq(CanTx, requete.msg);				//envoie de la demande dans CanTx
 		
 		wai_flg(ev_periph, 0x01, TWF_ANDW, &flag);	//recoie la demande dans CanRx
 		ang_lu=periph[ADDR('R')].val;				//recupere la valeur de l'angle dans retour   
-	
+		
 		comm.data.id='T';							//demande de la requete T
 		comm.data.rtr=0;							//commande d'ecriture car rtr=0
-		comm.data.val=K*(cons_angl-ang_lu);
+		comm.data.val=k1*(cons_angl-ang_lu);
 		snd_dtq(CanTx, comm.msg);
 	}
-	dly_tsk(50);
+	dly_tsk(100);
 }
 
-void commande(vitesse){					//commande de la vitesse
-	comm.data.id='V';
-	comm.data.rtr=0;
-	comm.data.val=vitesse;
-	snd_dtq(CanTx, comm.msg);
+void commande_vit(){					//commande de la vitesse   //TODO a ameliorer
+	while(1){
+		comm.data.id='V';
+		comm.data.rtr=0;
+		comm.data.val=vitesse;
+		snd_dtq(CanTx, comm.msg);
+		if(val_cap==0x5603){
+			vitesse=60;
+			}
+	}
 }
 
 	
-void dist_tel(){
+void orient_roue(){
 	while(1){
 		requete.data.id='U';
 		requete.data.rtr=1;
-		periph[ADDR('U')].ev=0x02;
+		periph[ADDR('U')].ev=0x01;
 		snd_dtq(CanTx, requete.msg);
 		
-		wai_flg(ev_periph, 0x02, TWF_ANDW, &flag);	
-		distance=periph[ADDR('U')].val;				//recupere la valeur de l'angle dans retour  
+		wai_flg(ev_periph, 0x01, TWF_ANDW, &flag);	
+		distance=periph[ADDR('U')].val;				//recupere la valeur de l'angle dans retour  // amelioration de l asservissement
 		
-		comm.data.id='D';							//demande de la requete T
-		comm.data.rtr=0;							//commande d'ecriture car rtr=0
-		comm.data.val=2*(distance-780);
-		snd_dtq(CanTx, comm.msg);
+		if(distance>1500){
+			comm.data.id='D';							//demande de la requete D
+			comm.data.rtr=0;							//commande d'ecriture car rtr=0
+			comm.data.val=0;
+			snd_dtq(CanTx, comm.msg);
+			dly_tsk(700);
+			}
+		if(val_cap==0x5603){
+			comm.data.id='D';							//demande de la requete D
+			comm.data.rtr=0;							//commande d'ecriture car rtr=0
+			comm.data.val=0;
+			snd_dtq(CanTx, comm.msg);
+			dly_tsk(100000);
+			}
+		else{
+			comm.data.id='D';							//demande de la requete D
+			comm.data.rtr=0;							//commande d'ecriture car rtr=0
+			comm.data.val=k2*(distance-730);
+			snd_dtq(CanTx, comm.msg);
+			dly_tsk(100);
+		}
 	}
+	dly_tsk(200);
 }
+
+
 
 void main()
-{	
+{	
+	dly_tsk(50);
 	ports_mcu();
     lcd_init();
 	periph_init();
 	periph_nom("Titine");
-
+	dly_tsk(50);
     can_init();
     clavier_init(1);
 	capture_init();
-
+	dly_tsk(50);
+	
 	sta_cyc(ID_acqui);
 	sta_tsk(ID_periph_rx);
 	sta_tsk(ID_tourelle);
-	sta_tsk(ID_distance);	
-	
-	commande(0);
+	sta_tsk(ID_orient_roue);
+	sta_tsk(ID_capteur);	
+	sta_tsk(ID_commande_vit);
+
+
 	dly_tsk(1000);
-	commande(15);
-	dly_tsk(200);
-	commande(30);
-	dly_tsk(200);
+	vitesse=15;
+	dly_tsk(100);
+	vitesse=30;
     while(1)
     {
 		LED_J=1;
 		LED_J=0;
 
-		commande(47);
 	}
 }
 
@@ -210,4 +253,5 @@
 	LED_V=!LED_V;
 }
 
+
 
Index: branch/matteozzi/Emb_App/conf_noyau.cfg
===================================================================
--- branch/matteozzi/Emb_App/conf_noyau.cfg	(revision 257)
+++ branch/matteozzi/Emb_App/conf_noyau.cfg	(revision 258)
@@ -2,7 +2,7 @@
 //
 //    kernel.cfg : building file for MR308 Ver.4.00
 //
-//    Generated by M3T-MR308 GUI Configurator at 2018/12/11 16:26:27
+//    Generated by M3T-MR308 GUI Configurator at 2018/12/14 17:27:45
 //
 ////////////////////////////////////////////////////////////////////////////////
 
@@ -9,7 +9,7 @@
 // system definition
 system{
 	stack_size	= 256;
-	priority	= 11;
+	priority	= 15;
 	system_IPL	 = 4;
 	message_pri	 = 1;
 	timeout	 = YES;
@@ -20,7 +20,7 @@
 
 // max definition
 maxdefine{
-	max_task	= 5;
+	max_task	= 7;
 	max_flag	= 3;
 	max_dtq	= 2;
 	max_cyh	= 1;
@@ -66,19 +66,37 @@
 	name	= ID_tourelle;
 	stack_size	= 256;
 	stack_section	= stack;
+	priority	= 9;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
+task[]{
+	entry_address	= orient_roue();
+	name	= ID_orient_roue;
+	stack_size	= 256;
+	stack_section	= stack;
 	priority	= 10;
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
 task[]{
-	entry_address	= dist_tel();
-	name	= ID_distance;
+	entry_address	= capteur();
+	name	= ID_capteur;
 	stack_size	= 256;
 	stack_section	= stack;
-	priority	= 11;
+	priority	= 15;
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
+task[]{
+	entry_address	= commande_vit();
+	name	= ID_commande_vit;
+	stack_size	= 256;
+	stack_section	= stack;
+	priority	= 12;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
 
 flag[]{
 	name	= ev_bus_fin_tr;
Index: branch/matteozzi/Emb_App/conf_noyau.hcf
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream